### Method

# GVnc Connection set_encodings

#### Declaration [src]

    gboolean
    vnc_connection_set_encodings (
      VncConnection* conn,
      int n_encoding,
      gint32* encoding
    )

#### Description [src]

Inform the server of the list of encodings that it is allowed to send. This should be done before requesting any framebuffer updates.

#### Parameters

`n_encoding`

  Type: `int`

  Number of entries in `encoding`.

`encoding`

  Type: An array of `gint32`

  The list of permitted encodings.

  The length of the array is specified in the `n_encoding` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.